classification
Title: python3.2 smtplib _quote_periods
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: DDarko, python-dev, r.david.murray
Priority: normal Keywords:

Created on 2011-06-08 10:32 by DDarko, last changed 2011-06-09 19:25 by r.david.murray. This issue is now closed.

Messages (3)
msg137899 - (view) Author: DDarko (DDarko) Date: 2011-06-08 10:32
File "/usr/lib/python3.2/smtplib.py", line 166, in _quote_periods

def _quote_periods(bindata):
    return re.sub(br'(?m)^\.', '..', bindata)

should be:
return re.sub(br'(?m)^\.', b'..', bindata)
msg138021 - (view) Author: Roundup Robot (python-dev) Date: 2011-06-09 19:21
New changeset 077b016e4a6d by R David Murray in branch '3.2':
#12283: Fixed regression in smtplib quoting of leading dots in DATA.
http://hg.python.org/cpython/rev/077b016e4a6d

New changeset cedceeb45030 by R David Murray in branch 'default':
merge #12283: Fixed regression in smtplib quoting of leading dots in DATA.
http://hg.python.org/cpython/rev/cedceeb45030
msg138022 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-06-09 19:25
Thanks for the report.  I broke that when I refactored the code, and unfortunately there was no existing test that tested dot quoting.  There is now.
History
Date User Action Args
2013-02-14 16:01:41serhiy.storchakalinkissue11837 superseder
2011-06-09 19:25:05r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg138022

stage: patch review -> resolved
2011-06-09 19:21:50python-devsetnosy: + python-dev
messages: + msg138021
2011-06-08 11:28:14pitrousetversions: + Python 3.3
nosy: + r.david.murray

components: + Library (Lib), - Extension Modules
type: behavior
stage: patch review
2011-06-08 10:32:31DDarkocreate